From e909f40fdd8ef2952a400233eb0c5bd4a50dd515 Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Fri, 30 Oct 2009 18:39:34 +0100
Subject: [PATCH] Fix build on gnueabi.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 nss_ldap-264-gnueabi.patch |   11 +++++++++++
 nss_ldap.spec              |    7 ++++++-
 2 files changed, 17 insertions(+), 1 deletions(-)
 create mode 100644 nss_ldap-264-gnueabi.patch

diff --git a/nss_ldap-264-gnueabi.patch b/nss_ldap-264-gnueabi.patch
new file mode 100644
index 0000000..fd752bb
--- /dev/null
+++ b/nss_ldap-264-gnueabi.patch
@@ -0,0 +1,11 @@
+--- nss_ldap-264.orig/configure.in	2009-06-19 06:42:51.226558853 -0400
++++ nss_ldap-264/configure.in	2009-06-19 08:49:17.776556102 -0400
+@@ -98,7 +98,7 @@ linux*) nss_ldap_so_LDFLAGS="-shared -Wl
+ esac
+ 
+ AM_CONDITIONAL(GCC, test "$GCC" = "yes")
+-AM_CONDITIONAL(GLIBC, test "$target_os" = "linux" -o "$target_os" = "linux-gnu")
++AM_CONDITIONAL(GLIBC, test "$target_os" = "linux" -o "$target_os" = "linux-gnu" -o "$target_os" = "linux-gnueabi")
+ AM_CONDITIONAL(AIX, test "$TARGET_OS" = AIX)
+ AM_CONDITIONAL(HPUX, test "$TARGET_OS" = HPUX)
+ 
diff --git a/nss_ldap.spec b/nss_ldap.spec
index 212eceb..d61c643 100644
--- a/nss_ldap.spec
+++ b/nss_ldap.spec
@@ -2,7 +2,7 @@
 Summary: NSS library and PAM module for LDAP
 Name: nss_ldap
 Version: 264
-Release: 8%{?dist}
+Release: 8%{?dist}.fa1
 Source0: ftp://ftp.padl.com/pub/nss_ldap-%{version}.tar.gz
 Source1: ftp://ftp.padl.com/pub/pam_ldap-%{pam_ldap_version}.tar.gz
 Source3: nss_ldap.versions
@@ -28,6 +28,7 @@ Patch21: nss_ldap-264-checkcase.patch
 Patch22: nss_ldap-264-ent_internal.patch
 Patch23: pam_ldap-183-releaseconfig.patch
 Patch24: nss_ldap-264-cloexec.patch
+Patch25: nss_ldap-264-gnueabi.patch
 
 URL: http://www.padl.com/
 License: LGPLv2+
@@ -70,6 +71,7 @@ pushd nss_ldap-%{version}
 #%patch21 -p1 -b .checkcase
 %patch22 -p1 -b .ent_internal
 %patch24 -p1 -b .cloexec
+%patch25 -p1 -b .gnueabi
 autoreconf -f -i
 popd
 
@@ -198,6 +200,9 @@ fi
 %doc pam_ldap-%{pam_ldap_version}/ns-pwd-policy.schema
 
 %changelog
+* Mon Nov 09 2009 Kedar Sovani <kedars@marvell.com> 
+- Fix package build on linux-gnueabi
+
 * Wed Nov  4 2009 Nalin Dahyabhai <nalin@redhat.com> 264-8
 - add "rtkit" and "pulse" to the list of users whom we default to ignoring
   for looking up supplemental groups (Gordon Messmer, part of #186527)
-- 
1.5.5.6

